function [rateFSSP]=FSSP(Jtrain,Jtest,trlab,ttlab)
% % Jtrain is the trainging data, each column is a sample.
% % Jtest is the testing data, each column is a sample.
% % trlab is the label of the training data.
% % ttlab is the label of the testing data.

% % % Noted that the number of each class' sample of the training data
% % % should be same.

class=length(unique(trlab));
num_test=length(ttlab);

labarr=zeros(num_test,1);
for i=1:num_test
    It=Jtest(:,i);
    [labtem]=DisFSSP(It,Jtrain,class,class);
    labarr(i)=labtem;
end
rateFSSP=sum(labarr==ttlab)/num_test;
 fprintf(['rateFSSP: ' num2str(rateFSSP) '\n']);
