% % Jtrain is the trainging data, each column is a sample.
% % Jtest is the testing data, each column is a sample.
% % trlab is the label of the training data.
% % ttlab is the label of the testing data.

% % % Please cite the paper
% % % Q. Feng; C. Yuan; J. S. Pan; J. F. Yang; Y. T. Chou; Y. Zhou; W. Li, "Superimposed Sparse Parameter Classifiers for Face Recognition," in IEEE Transactions on Cybernetics , vol.PP, no.99, pp.1-13
% % % doi: 10.1109/TCYB.2016.2516239

% % % Noted that the number of each class' sample of the training data
% % % should be same.


trainsam=3;
testsam=2;
class=100;
samdim=1000;

% % %  Randomly produce the training data and testing data
Jtrain=rand(samdim,trainsam*class);
Jtest=rand(samdim,testsam*class);
trlab=ones(trainsam,1)*[1:class];
trlab=trlab(:);
ttlab=ones(testsam,1)*[1:class];
ttlab=ttlab(:);


FSSP(Jtrain,Jtest,trlab,ttlab);